Bug 144849 - [new port] java/eclipse-eclemma code coverage for eclipse JUnit tests
Summary: [new port] java/eclipse-eclemma code coverage for eclipse JUnit tests
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-18 09:00 UTC by kamikaze
Modified: 2010-11-02 17:40 UTC (History)
0 users

See Also:


Attachments
file.shar (3.36 KB, text/plain)
2010-03-18 09:00 UTC, kamikaze
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-03-18 09:00:14 UTC
- Port of EclEmma, a code coverage tool for Eclipse JUnit tests
- see: http://www.eclemma.org/

Fix: Patch attached with submission follows:
Comment 1 kamikaze 2010-07-15 07:22:54 UTC
- Follow path changes to eclipse
- Latest release

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	eclipse-eclemma
#	eclipse-eclemma/Makefile
#	eclipse-eclemma/distinfo
#	eclipse-eclemma/pkg-descr
#	eclipse-eclemma/pkg-plist
#
echo c - eclipse-eclemma
mkdir -p eclipse-eclemma > /dev/null 2>&1
echo x - eclipse-eclemma/Makefile
sed 's/^X//' >eclipse-eclemma/Makefile << 'e506e34b3004fb756767f30ba777b043'
X# New ports collection makefile for:	eclemma
X# Date created:				18 Mar 2010
X# Whom:					kamikaze@bsdforen.de
X#
X# $FreeBSD$
X#
X
XPORTNAME=	eclemma
XPORTVERSION=	1.5.0
XCATEGORIES=	java editors devel
XMASTER_SITES=	SF/${PORTNAME}/01_EclEmma_Releases/${PORTVERSION}
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	Java code coverage tool for Eclipse
X
XRUN_DEPENDS=	eclipse:${PORTSDIR}/java/eclipse
X
XPLUGIN_PATHS=	features plugins
X
XUSE_ZIP=	yes
XNO_BUILD=	yes
X
XWRKSRC=		${WRKDIR}
XECLIPSE=	lib/eclipse
X
XPLIST_SUB=	VER=${PORTVERSION} \
X		ECLIPSE=${ECLIPSE}
X
Xdo-install:
X.for _path in ${PLUGIN_PATHS}
X	@${MKDIR} ${PREFIX}/${ECLIPSE}/${_path}
X	@${CP} -r ${WRKSRC}/${_path}/* ${PREFIX}/${ECLIPSE}/${_path}/
X.endfor
X
Xplist: build
X	@${ECHO} "===>  Rebuilding PLIST."
X	@${TOUCH} ${PLIST}
X	@${RM} ${PLIST}
X.for _path in ${PLUGIN_PATHS}
X	@${FIND} ${WRKSRC}/${_path}/ -not -type d \
X		| ${SED} "s|${WRKSRC}|%%ECLIPSE%%|1" \
X		| ${SED} "s|${PORTVERSION}|%%VER%%|g" \
X		>> ${PLIST}
X	@${FIND} -d ${WRKSRC}/${_path}/ -mindepth 1 -type d \
X		| ${SED} "s|${WRKSRC}|@dirrm %%ECLIPSE%%|1" \
X		| ${SED} "s|${PORTVERSION}|%%VER%%|g" \
X		>> ${PLIST}
X	@${ECHO} "@dirrmtry %%ECLIPSE%%/${_path}" >> ${PLIST}
X.endfor
X	@${ECHO} "@dirrmtry %%ECLIPSE%%" >> ${PLIST}
X
X.include <bsd.port.mk>
e506e34b3004fb756767f30ba777b043
echo x - eclipse-eclemma/distinfo
sed 's/^X//' >eclipse-eclemma/distinfo << '68125b238a5ccf9db0a21435a8ca684c'
XMD5 (eclemma-1.5.0.zip) = 01bfc822baccd0650c71dc7652ee5d14
XSHA256 (eclemma-1.5.0.zip) = 229e59763f62da3af177c5941e97b2ab5a34aae9acdf542d6070d4292c7948e9
XSIZE (eclemma-1.5.0.zip) = 746412
68125b238a5ccf9db0a21435a8ca684c
echo x - eclipse-eclemma/pkg-descr
sed 's/^X//' >eclipse-eclemma/pkg-descr << 'c3d342b18b24ab10ddc7ec66d5fdcb3e'
XEclEmma is a free Java code coverage tool for Eclipse, available under the
XEclipse Public License. Internally it is based on the great EMMA Java code
Xcoverage tool, trying to adopt EMMA's philosophy for the Eclipse workbench.
X
XWWW: http://www.eclemma.org/
c3d342b18b24ab10ddc7ec66d5fdcb3e
echo x - eclipse-eclemma/pkg-plist
sed 's/^X//' >eclipse-eclemma/pkg-plist << '25c0166faa65b6a6243d94d35576b1d3'
X%%ECLIPSE%%/features/com.mountainminds.eclemma.feature_%%VER%%/about.html
X%%ECLIPSE%%/features/com.mountainminds.eclemma.feature_%%VER%%/feature.properties
X%%ECLIPSE%%/features/com.mountainminds.eclemma.feature_%%VER%%/feature.xml
X%%ECLIPSE%%/features/com.mountainminds.eclemma.feature_%%VER%%/META-INF/MANIFEST.MF
X@dirrm %%ECLIPSE%%/features/com.mountainminds.eclemma.feature_%%VER%%/META-INF
X@dirrm %%ECLIPSE%%/features/com.mountainminds.eclemma.feature_%%VER%%
X@dirrmtry %%ECLIPSE%%/features
X%%ECLIPSE%%/plugins/com.mountainminds.eclemma.core_%%VER%%.jar
X%%ECLIPSE%%/plugins/com.mountainminds.eclemma.doc_%%VER%%.jar
X%%ECLIPSE%%/plugins/com.mountainminds.eclemma.ui_%%VER%%.jar
X@dirrmtry %%ECLIPSE%%/plugins
X@dirrmtry %%ECLIPSE%%
25c0166faa65b6a6243d94d35576b1d3
exit
Comment 2 Rene Ladan freebsd_committer 2010-11-01 23:52:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 3 Rene Ladan freebsd_committer 2010-11-02 13:53:00 UTC
I propose removing the MD5 checksum from the distinfo file, as it is
superfluous now.

Furthermore, portlint gave me this interesting warning:
% pwd
/usr/home/rene/freebsd/ports/java/eclipse-eclemma
% portlint -A
WARN: Makefile: save for ports directly related to the Java language,
porters are encouraged not to use ``java'' as the main category for a port
0 fatal errors and 1 warning found.

To my understanding, the physical "java" category is only meant for java
compilers/interpreters etc, not for other applications. This is however
an often-made "mistake". Maybe "devel" or "editors" would be a better
category, as you propose in the Makefile?

I will commit the port later today if all test-builds go well.
Comment 4 Rene Ladan freebsd_committer 2010-11-02 13:53:11 UTC
State Changed
From-To: open->feedback

portlint prompted me to ask for a "better" category than "java"
Comment 5 kamikaze 2010-11-02 14:14:44 UTC
On 02/11/2010 14:53, Rene Ladan wrote:
> I propose removing the MD5 checksum from the distinfo file, as it is
> superfluous now.

Note the age of the PR.

> Furthermore, portlint gave me this interesting warning:
> % pwd
> /usr/home/rene/freebsd/ports/java/eclipse-eclemma
> % portlint -A
> WARN: Makefile: save for ports directly related to the Java language,
> porters are encouraged not to use ``java'' as the main category for a port
> 0 fatal errors and 1 warning found.

I can see this is a citation of the Porters' Handbook, so I assume this
is actually valid. I simply put the port into the place where all the
other eclipse Plugins are. I suggest devel would be an appropriate
alternative.

But in that case all the other eclipse ports should go to devel/ too
and eclipse itself to devel or editors.

> ...
> 
> I will commit the port later today if all test-builds go well.

Thank you for looking into this.

Regards
Comment 6 dfilter service freebsd_committer 2010-11-02 17:39:07 UTC
rene        2010-11-02 17:39:02 UTC

  FreeBSD ports repository

  Added files:
    devel/eclipse-eclemma Makefile distinfo pkg-descr pkg-plist 
  Log:
  EclEmma is a free Java code coverage tool for Eclipse, available under the
  Eclipse Public License. Internally it is based on the great EMMA Java code
  coverage tool, trying to adopt EMMA's philosophy for the Eclipse workbench.
  
  WWW: http://www.eclemma.org/
  
  PR:             ports/144849
  Submitted by:   Dominic Fandrey [kamikaze bsdforen.de]
  
  Revision  Changes    Path
  1.1       +52 -0     ports/devel/eclipse-eclemma/Makefile (new)
  1.1       +2 -0      ports/devel/eclipse-eclemma/distinfo (new)
  1.1       +5 -0      ports/devel/eclipse-eclemma/pkg-descr (new)
  1.1       +12 -0     ports/devel/eclipse-eclemma/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Rene Ladan freebsd_committer 2010-11-02 17:39:38 UTC
State Changed
From-To: feedback->closed

Committed as devel/eclipse-eclemma, thanks